Package com.collabnet.ce.soap60.webservices.frs

# Class PackageSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO
com.collabnet.ce.soap60.webservices.frs.PackageSoapDO

public class PackageSoapDO extends FolderSoapDO
This class represents the data associated with an FRS package.
Change History
Release: 4.4

- Added 'isPublished'
- Added 'downloaded'

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PackageSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDownloaded()`
  Returns 'downloaded'.
  `boolean`
  `getIsPublished()`
  Returns 'isPublished'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDownloaded(int downloaded)`
  Sets 'downloaded'.
  `void`
  `setIsPublished(boolean isPublished)`
  Sets 'isPublished'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

  `getDescription, getParentFolderId, getPath, getProjectId, getTitle, setDescription, setParentFolderId, setPath, setProjectId, setTitle`

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PackageSoapDO

    public PackageSoapDO()

- ## Method Details

  - ### getIsPublished

    public boolean getIsPublished()
    Returns 'isPublished'. Is the package set to be published on the categorized project list
    Returns:
      Value of 'isPublished'.

  - ### setIsPublished

    public void setIsPublished(boolean isPublished)
    Sets 'isPublished'. Is the package set to be published on the categorized project list
    Parameters:
      `isPublished` - Value of 'isPublished'.

  - ### getDownloaded

    public int getDownloaded()
    Returns 'downloaded'. The download count for this package.
    Returns:
      Value of 'downloaded'.

  - ### setDownloaded

    public void setDownloaded(int downloaded)
    Sets 'downloaded'. The download count for this package.
    Parameters:
      `downloaded` - Value of 'downloaded'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)